Share via


Web Apps - Get Private Endpoint Connection

Description for Gets a private endpoint connection

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Name of the site.

privateEndpointConnectionName
path True

string

Name of the private endpoint connection.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RemotePrivateEndpointConnectionARMResource

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get a private endpoint connection for a site.

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Web/sites/testSite/privateEndpointConnections/connection?api-version=2025-05-01

Sample response

{
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Web/sites/testSite/privateEndpointConnections/connection",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Network/privateEndpoints/myPrivateEndpoint"
    },
    "privateLinkServiceConnectionState": {
      "description": "Approved by admin.",
      "actionsRequired": "",
      "status": "Approved"
    },
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
ArmIdWrapper

A wrapper for an ARM resource id

createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

PrivateLinkConnectionState

The state of a private link connection

RemotePrivateEndpointConnectionARMResource

Remote Private Endpoint Connection ARM resource.

systemData

Metadata pertaining to creation and last modification of the resource.

ArmIdWrapper

A wrapper for an ARM resource id

Name Type Description
id

string

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

PrivateLinkConnectionState

The state of a private link connection

Name Type Description
actionsRequired

string

ActionsRequired for a private link connection

description

string

Description of a private link connection

status

string

Status of a private link connection

RemotePrivateEndpointConnectionARMResource

Remote Private Endpoint Connection ARM resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.ipAddresses

string[]

Private IPAddresses mapped to the remote private endpoint

properties.privateEndpoint

ArmIdWrapper

PrivateEndpoint of a remote private endpoint connection

properties.privateLinkServiceConnectionState

PrivateLinkConnectionState

The state of a private link connection

properties.provisioningState

string

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.